#################################################
#
#  (C) 2017 Slávek Banko
#  slavek (DOT) banko (AT) axis.cz
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/arts/runtime
  ${CMAKE_BINARY_DIR}
  ${ARTS_INCLUDE_DIRS}
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${ARTS_LIBRARY_DIRS}
)


##### artsgui (library) #########################

tde_add_library( artsgui_idl SHARED
  SOURCES artsgui.cpp
  VERSION 0.0.0
  LINK mcop ${DL_LIBRARIES} ${ARTS_LIBRARIES}
  DESTINATION ${LIB_INSTALL_DIR}
)

tde_add_library( artsgui SHARED
  SOURCES genericguifactory_impl.cpp
  VERSION 0.0.0
  LINK artsgui_idl-shared
  DESTINATION ${LIB_INSTALL_DIR}
)

add_custom_command(
  OUTPUT
    artsgui.cpp artsgui.h
    artsgui.mcoptype artsgui.mcopclass
  COMMAND ${ARTS_MCOPIDL_EXECUTABLE} -t
    -I${ARTS_INCLUDEDIR} ${CMAKE_CURRENT_SOURCE_DIR}/artsgui.idl
  DEPENDS artsgui.idl
)


##### other data ################################

install(
  FILES
    artsgui.idl
    ${CMAKE_CURRENT_BINARY_DIR}/artsgui.h
  DESTINATION ${INCLUDE_INSTALL_DIR}/arts
)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/artsgui.mcoptype
    ${CMAKE_CURRENT_BINARY_DIR}/artsgui.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop
)
install(
  FILES GenericGuiFactory.mcopclass
  DESTINATION ${LIB_INSTALL_DIR}/mcop/Arts
)
